|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions
gameplay::Transform::Listener Class Reference

`#include <Transform.h>`

Inheritance diagram for gameplay::Transform::Listener:

List of all members.

## Public Member Functions

virtual void | transformChanged (Transform *transform, long cookie)=0

## Detailed Description

Listener interface for Transform events.

## Member Function Documentation

virtual void gameplay::Transform::Listener::transformChanged | ( | Transform * | transform,
|  | long | cookie
| ) |  | `[pure virtual]`

Handles when an transform has changed.

Parameters:

  transform | The Transform object that was changed.
  cookie | Cookie value that was specified when the listener was registered.

Implemented in gameplay::MeshSkin, and gameplay::PhysicsGhostObject.

All Classes Functions Variables Typedefs Enumerations Enumerator